<?php
$config = function()
{
	$array = array();
	$info = Dever::db('score/config')->state();
	if($info)
	{
		$array += $info;
	}
	return $array;
};
return array
(
	# 表名
	'name' => 'config_child',
	# 显示给用户看的名称
	'lang' => '子积分设置',
	'order' => 1,
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '积分名称',
			'default' 	=> '',
			'desc' 		=> '请输入积分名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'type' 		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '所属数据源',
			'default' 	=> '',
			'desc' 		=> '所属数据源',
			'match' 	=> 'is_string',
			//'update'	=> 'select',
			'list'		=> true,
		),
		
		'type_id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '数据源id',
			'default' 	=> '',
			'desc' 		=> '数据源id',
			'match' 	=> 'is_numeric',
			//'update'	=> 'text',
			'list'		=> true,
		),

		'config_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '上级积分名称',
			'default' 	=> '1',
			'desc' 		=> '上级积分名称',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $config,
			'search'	=> 'select',
			'list'		=> true,
		),

		'config_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '上级积分名称',
			'default' 	=> '1',
			'desc' 		=> '上级积分名称',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $config,
			'search'	=> 'select',
			'list'		=> true,
		),
		
		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	# 索引
	'index' => array
	(
		1 => array
		(
			'search' => 'config_id,type,type_id',
		),
		
		# 版本号 更改版本号会更新当前表的索引
		'version' => 1,
	),

	'manage' => array
	(
		'insert' => false,
		'edit' => false,
		'delete' => false,
	),

	'request' => array
	(
		
	),
	
);
